---
id: diag
title: diag
hide_title: true
hide_table_of_contents: true
sidebar_label: diag
description: Diagnostics commands
---
## ipsw idev diag

Diagnostics commands

```
ipsw idev diag [flags]
```

### Options

```
  -h, --help   help for diag
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -u, --udid string     Device UniqueDeviceID to connect to
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw idev](/docs/cli/ipsw/idev)	 - USB connected device commands
* [ipsw idev diag bat](/docs/cli/ipsw/idev/diag/bat)	 - Get snapshot of battery data
* [ipsw idev diag info](/docs/cli/ipsw/idev/diag/info)	 - Diagnostics info
* [ipsw idev diag ioreg](/docs/cli/ipsw/idev/diag/ioreg)	 - Query IORegistry
* [ipsw idev diag mg](/docs/cli/ipsw/idev/diag/mg)	 - Query MobileGestalt
* [ipsw idev diag restart](/docs/cli/ipsw/idev/diag/restart)	 - Restart the device
* [ipsw idev diag shutdown](/docs/cli/ipsw/idev/diag/shutdown)	 - Shutdown the device
* [ipsw idev diag sleep](/docs/cli/ipsw/idev/diag/sleep)	 - Put device to sleep

